Package com.trilead.ssh2.crypto.cipher

# Class CipherOutputStream

java.lang.Object
com.trilead.ssh2.crypto.cipher.CipherOutputStream

public class CipherOutputStream extends Object
CipherOutputStream.

## Constructor Summary

Constructors
Constructor
Description
`CipherOutputStream(BlockCipher tc, OutputStream bo)`

## Method Summary

Modifier and Type
Method
Description
`void`
`changeCipher(BlockCipher bc)`
`void`
`flush()`
`void`
`write(byte[] src, int off, int len)`
`void`
`write(int b)`
`void`
`writePlain(byte[] b, int off, int len)`
`void`
`writePlain(int b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CipherOutputStream

public CipherOutputStream(BlockCipher tc, OutputStream bo)

## Method Details

### flush

public void flush() throws IOException

Throws:
  `IOException`

### changeCipher

public void changeCipher(BlockCipher bc)

### write

public void write(byte[] src, int off, int len) throws IOException

Throws:
  `IOException`

### write

public void write(int b) throws IOException

Throws:
  `IOException`

### writePlain

public void writePlain(int b) throws IOException

Throws:
  `IOException`

### writePlain

public void writePlain(byte[] b, int off, int len) throws IOException

Throws:
  `IOException`